> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Zeigt alle verfügbaren Skills an



## OpenAPI

````yaml /de/openapi.json get /api/publicapi/v1/skills
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Produktion USA
    url: https://vantage-us.abbyy.com
  - description: Produktion Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktion Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/skills:
    get:
      tags:
        - Skills
      summary: Zeigt alle verfügbaren Skills an
      operationId: GetAvailableSkills
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillListItemDto
                type: array
            text/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillListItemDto
                type: array
            text/plain:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillListItemDto
                type: array
          description: Alle Skills wurden erfolgreich zurückgegeben
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillListItemDto:
      additionalProperties: false
      properties:
        id:
          minLength: 1
          type: string
        name:
          minLength: 1
          type: string
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.SkillType
      required:
        - id
        - name
      type: object
    Abbyy.Vantage.PublicApi.Contract.Skills.SkillType:
      enum:
        - Classification
        - Document
        - Process
        - Ocr
        - Assembling
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````